summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author LEVAI Daniel <leva@ecentrum.hu>2013-03-16 19:37:55 (GMT)
committer dsomero <xgizzmo@slackbuilds.org>2013-03-22 11:16:50 (GMT)
commit1a98e8a774064d572ddb2218460381f86d4558be (patch)
treef99f4b0493b3d4f38e8be2772ec10f830160334f
parent418715a80f36744a4868f82d5ca1fd42351c3ccc (diff)
downloadslackbuilds-1a98e8a774064d572ddb2218460381f86d4558be.tar.gz
perl/perl-Test-Differences: Added (Test string differences)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--perl/perl-Test-Differences/README5
-rw-r--r--perl/perl-Test-Differences/perl-Test-Differences.SlackBuild82
-rw-r--r--perl/perl-Test-Differences/perl-Test-Differences.info10
-rw-r--r--perl/perl-Test-Differences/slack-desc19
4 files changed, 116 insertions, 0 deletions
diff --git a/perl/perl-Test-Differences/README b/perl/perl-Test-Differences/README
new file mode 100644
index 0000000..c52bd68
--- /dev/null
+++ b/perl/perl-Test-Differences/README
@@ -0,0 +1,5 @@
+Test string and data structure differences
+
+When the code you're testing returns multiple lines, records or data
+structures and they're just plain wrong, an equivalent to the Unix
+diff utility may be just what's needed.
diff --git a/perl/perl-Test-Differences/perl-Test-Differences.SlackBuild b/perl/perl-Test-Differences/perl-Test-Differences.SlackBuild
new file mode 100644
index 0000000..00d73e7
--- /dev/null
+++ b/perl/perl-Test-Differences/perl-Test-Differences.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+PRGNAM=perl-Test-Differences
+VERSION=${VERSION:-0.61}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM="$(printf $PRGNAM | cut -d- -f2-)"
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+perl Build.PL \
+ prefix=/usr \
+ installdirs=vendor \
+ destdir=$PKG
+./Build
+./Build test
+./Build install \
+ --install_path bindoc=/usr/man/man1 \
+ --install_path libdoc=/usr/man/man3
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ Changes README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/perl-Test-Differences/perl-Test-Differences.info b/perl/perl-Test-Differences/perl-Test-Differences.info
new file mode 100644
index 0000000..60864de
--- /dev/null
+++ b/perl/perl-Test-Differences/perl-Test-Differences.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-Test-Differences"
+VERSION="0.61"
+HOMEPAGE="http://search.cpan.org/~ovid/Test-Differences-0.61/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/O/OV/OVID/Test-Differences-0.61.tar.gz"
+MD5SUM="8728047fbd04a32ffdbbc4304d635eb1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="perl-Text-Diff"
+MAINTAINER="LEVAI Daniel"
+EMAIL="leva@ecentrum.hu"
diff --git a/perl/perl-Test-Differences/slack-desc b/perl/perl-Test-Differences/slack-desc
new file mode 100644
index 0000000..d33beb2
--- /dev/null
+++ b/perl/perl-Test-Differences/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-Test-Differences: perl-Test-Differences (Test string and data structure differences)
+perl-Test-Differences:
+perl-Test-Differences: When the code you're testing returns multiple lines, records or data
+perl-Test-Differences: structures and they're just plain wrong, an equivalent to the Unix
+perl-Test-Differences: diff utility may be just what's needed.
+perl-Test-Differences:
+perl-Test-Differences:
+perl-Test-Differences:
+perl-Test-Differences: Homepage: http://search.cpan.org/~ovid/Test-Differences-0.61/
+perl-Test-Differences:
+perl-Test-Differences: